| BLDC control on ATAVRMC303 with ATxMega128A1

Functions
hires_driver.c File Reference

XMEGA HiRes driver source file. More...

`#include "hires_driver.h"`
Include dependency graph for hires_driver.c:

Go to the source code of this file.

## Functions
void | HIRES_Enable (HIRES_t *hires, HIRES_HREN_t hren)
| This function enables the HiRes extension for the selected Timer/Counters. More...

## Detailed Description

XMEGA HiRes driver source file.

This file contains the function implementations the XMEGA HiRes driver.

The driver is not intended for size and/or speed critical code, since most functions are just a few lines of code, and the function call overhead would decrease code performance. The driver is intended for rapid prototyping and documentation purposes for getting started with the XMEGA HiRes module.

For size and/or speed critical code, it is recommended to copy the function contents directly into your application instead of making a function call.

Application note:
  AVR1311: Using the XMEGA Timer/Counter Extensions.

Documentation
  For comprehensive code documentation, supported compilers, compiler settings and supported devices see readme.html

Author
  Atmel Corporation: http://www.atmel.com
  Support email: avr@a.nosp@m.tmel.nosp@m..com

Revision
  1569

Date
  2008-04-22 13:03:43 +0200 (ti, 22 apr 2008)

Copyright (c) 2008, Atmel Corporation All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
3. The name of ATMEL may not be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY AND SPECIFICALLY DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file hires_driver.c.

## Function Documentation

## ◆ HIRES_Enable()

void HIRES_Enable | ( | HIRES_t * | hires,
|  | HIRES_HREN_t | hren
| ) |  |

This function enables the HiRes extension for the selected Timer/Counters.

Parameters

  hires | The HiRes module.
  hren | The mask selecting which timer/counters will use the HiRes extenison.

Definition at line 69 of file hires_driver.c.

70 {
71 hires->CTRLA = hren;
72 }